//! App management syscalls
use crate::batch::run_next_app;
use crate::println;

/// 任务退出, 并立即切换任务
pub fn sys_exit(exit_code: i32) -> ! {
    println!("[kernel] Application exited with code {}", exit_code);
    run_next_app()
}
